<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - How to Use the SUIF Mathematics Library</TITLE>
<link href="suifmath_3.html" rel=Next>
<link href="suifmath_1.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_1.html">previous</A>, <A HREF="suifmath_3.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC2" HREF="suifmath_toc.html#TOC2">How to Use the SUIF Mathematics Library</A></H1>
<P>
The SUIF mathematics library can be used by any program written in
c++. The library is currently compiled using the the GNU g++ compiler
version 2.4.5.

</P>

<UL>
<LI>

In order to use the math libraries you need to include the following
files in your code:
<A NAME="IDX4"></A>
<A NAME="IDX5"></A>
<A NAME="IDX6"></A>
<A NAME="IDX7"></A>
<A NAME="IDX8"></A>
<A NAME="IDX9"></A>
<A NAME="IDX10"></A>
<A NAME="IDX11"></A>
<A NAME="IDX12"></A>
<A NAME="IDX13"></A>
<A NAME="IDX14"></A>
<A NAME="IDX15"></A>
<A NAME="IDX16"></A>
<A NAME="IDX17"></A>

<PRE>
#include &#60;suif1.h&#62;
#include &#60;suifmath.h&#62;
#include &#60;dependence.h&#62;
</PRE>

<LI>

Add the following flags to the command line to compile the code.
Note that <VAR>SUIFHOME</VAR> is the path to the root of the SUIF
directory structure. 

<PRE>
g++ -g -I${SUIFHOME}/include your_file.cc
</PRE>

<LI>

When linking, you need to include the appropriate SUIF libraries.

<PRE>
g++ -o your_proc_name your_file.o -L${SUIFHOME}/${MACHINE}/lib 
-ldependence -lsuifmath -lbuilder -luseful -lsuif -lm 
</PRE>

</UL>


<PRE>

</PRE>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_1.html">previous</A>, <A HREF="suifmath_3.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
